Package org.h2gis.functions.system

## Class DoubleRange

- java.lang.Object
- - org.h2gis.api.AbstractFunction
  - - org.h2gis.api.DeterministicScalarFunction
    - - org.h2gis.functions.system.DoubleRange

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

    public class DoubleRange
    extends org.h2gis.api.DeterministicScalarFunction

Author:
  Erwan Bocher

### Field Summary

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

### Constructor Summary

Constructors
`DoubleRange()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static Double[]` `createArray​(double begin, double end)` Return an array of doubles with a default step of 1.
`static Double[]` `createArray​(double begin, double end, double step)` Return an array of doubles
`String` `getJavaStaticMethod()`

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

### Constructor Detail

#### DoubleRange

    public DoubleRange()

### Method Detail

#### getJavaStaticMethod

    public String getJavaStaticMethod()

#### createArray

    public static Double[] createArray​(double begin,
                                       double end)

Return an array of doubles with a default step of 1.

Parameters:
  `begin` - from start
  `end` - to end
Returns:

#### createArray

    public static Double[] createArray​(double begin,
                                       double end,
                                       double step)

Return an array of doubles

Parameters:
  `begin` - from start
  `end` - to end
  `step` - increment
Returns: